[File Viewer Plugin] InvalidRequest: Invalid preferences structure inside Advanced Configuration

Forge Component
(7)
Published on 28 Aug by Experts
7 votes
Published on 28 Aug by Experts

Hello,


I've used this plugin in my application since at least July without any issue. However, today when trying to generate the application this error started to appear: "InvalidRequest: Invalid preferences structure inside Advanced Configuration ".

No other information is provided from ServiceCenter logs, but after resorting to an empty application with only the plugins used in my original application I concluded there wasn't anything wrong with my logic since the error continued to occur. After removing every other plugin from that empty application, I found that this plugin was the culprit.

I updated the application to the most recent version, but the error continued to occur.

The plugin was installed on July 8 and hadn't been modified. Any thoughts why this started to occur all of a sudden?


Best regards

In the meantime, I've been able to generate my application again by removing the following lines from the Extensibility Configurations of the plugin:

"preferences":{

      "ANDROID_SUPPORT_V4_VERSION" : "28.0.0"

}


What can be the impact of removing this preference?